Core resources
Api requestsAttribute optionsAttributesBooking detailsBooking updatesBookingsCalendar event notesCalendar event updatesCalendar eventsCapacitiesCapacity group dependenciesCapacity groupsContact bookingsContactsCoupon productsCoupon servicesCoupon usesCouponsExternal calendarsInvoicesLine item taxesLine itemsMembersMessage eventsMessage templatesMessagesOrganization calendar logsOrganizationsPaddle plansPaddle subscriptionsPaymentsPermissionsPrice calendar entriesPricelabs pricingPricing widgetsProduct attribute optionsProduct calendar logsProduct message templatesProduct reply to addressesProduct servicesProductsRefundsReply to addressesReview productsReview widget listingsReview widgetsReviewsSeasonsServicesSite listingsSite nav itemsSite pagesSite viewsSitesTask assigneesTask template assigneesTask templatesTasksTaxesUser profilesWebhook notificationsWebhooksWidget analyticsWidget listingsWidgetsBooking flow
Query availabilitySearch availabilityBookRe-usable tax definitions
iduuidUnique identifier
created_attimestamp with time zoneCreation timestamp
updated_attimestamp with time zoneLast modification timestamp
ftstsvector | nullFull text search index
labelMultiLanguageStringLocalized label
percentagerealPercentage of the tax
type"on-top" | "included"Type of the tax. Either on-top or included
JSON
{
"id": "00000000-0000-0000-0000-000000000000",
"organization_id": "00000000-0000-0000-0000-000000000000",
"created_at": "2026-03-12T05:19:01.541Z",
"updated_at": "2026-03-12T05:19:01.541Z",
"label": {
"default": "Hello",
"nl-NL": "Hallo"
},
"percentage": 0,
"type": "on-top"
}idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
ftsFilter<tsvector | null>Full text search index
labelFilter<MultiLanguageString>Localized label
percentageFilter<real>Percentage of the tax
typeFilter<"on-top" | "included">Type of the tax. Either on-top or included
200A list of taxes with the selected columns
206Partial Content
GET /taxescurl -X GET "https://api.bookingmood.com/v1/taxes?select=*" \
-H "Authorization: Bearer YOUR_API_KEY"Partial<Tax> | Array<Partial<Tax>>201The newly created taxes with the selected columns
POST /taxescurl -X POST "https://api.bookingmood.com/v1/taxes" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '[]'idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
ftsFilter<tsvector | null>Full text search index
labelFilter<MultiLanguageString>Localized label
percentageFilter<real>Percentage of the tax
typeFilter<"on-top" | "included">Type of the tax. Either on-top or included
204The deleted taxes with the selected columns
DELETE /taxescurl -X DELETE "https://api.bookingmood.com/v1/taxes" \
-H "Authorization: Bearer YOUR_API_KEY"idFilter<uuid>Unique identifier
created_atFilter<timestamp with time zone>Creation timestamp
updated_atFilter<timestamp with time zone>Last modification timestamp
ftsFilter<tsvector | null>Full text search index
labelFilter<MultiLanguageString>Localized label
percentageFilter<real>Percentage of the tax
typeFilter<"on-top" | "included">Type of the tax. Either on-top or included
Partial<Tax>204The updated taxes with the selected columns
PATCH /taxescurl -X PATCH "https://api.bookingmood.com/v1/taxes" \
-H "Authorization: Bearer YOUR_API_KEY" \
-d '{}'